Revision history for Perl extension AxKit::App::TABOO. 0.01_01 2003-12-08 18:06:47 2003 - First release created. 0.01_02 2003-12-11 09:57 - Struggling to get the packaging right... 0.01_03 2003-12-11 09:57 - A missing ; after the final 1 made make test complain in Comment.pm 0.011 2003-12-11 15:23 - Hm, huh...? PAUSE won't extract the README and it is not being indexed.... There must be something very wrong with the package. The version number...? - Added ; after the 1's in User and Category just to be sure. 0.02 2004-02-01 00:10 - Added * AxKit::App::TABOO::Data::User::Contributor * AxKit::App::TABOO::XSP::Story * AxKit::App::TABOO::XSP::User * AxKit::App::TABOO::XSP::Category - Made internal class variables lower case for those pulled from DB - Removed the use of Alias (how did we do that in SIMULA...?) - Remove XML::Writer to use XML::LibXML for everything - Added methods: * In AxKit::App::TABOO::Data + apache_request_data + save + stored * In AxKit::App::TABOO::Data::Category + all_of_type - Made most internal DBI queries throw Exception::Class::DBI exceptions in case of failures. I have been unsuccessful in catching them, so it is not quite like I want it yet, and changes in this must be expected. - Quite a lot of minor changes in the internals. 0.021_1 2004-02-14 00:10 - Throwing a slightly unfinished development version out the door for various reasons. - Adds namespaces to all XML representations. The namespace can be set by an xmlns() method, but has sensible defaults. - New elements * AxKit::App::TABOO::XSP::Story + this_story * AxKit::App::TABOO::XSP::User + this_user + store (not very well tested) - Added an username attribute to is_authorized, to allow for checking access for a particular user (e.g. the owner). - Starting to add version numbers to all files. 0.021_2 2004-02-16 23:10 - Added version numbers to all files - Added an ONFILE data member which is used internally to check whether we can expect to find the object in the storage. This is set by all methods that load something, making it possible for save-methods to know whether to INSERT or UPDATE. - Added a save-method to AxKit::App::TABOO::Data::User::Contributor. - Reviewed the changes of the previous upload. 0.021 2004-02-18 11:10 - Added a apache_request_changed to AxKit::App::TABOO::Data - Fixed a bug in the code to check whether to insert or update. - Changed the test to check if there is anything in the variable to next unless defined(). - A few small changes in the POD. - Actually tested AxKit::App::TABOO::XSP::User - it seems to work! 0.03 2004-02-19 23:00 - Reworking the packaging completely, trying to include the XML files (XSP, XSLT) that I'm working on, as well as some test data in SQL. - With the inclusion of XSP, we require AxKit::XSP::QueryParam. - A new and ugly tag valid-authlevels in AxKit::App::TABOO::XSP::User. 0.031 2004-02-27 22:15 - Now that DBD::Pg 1.32 is out, we depend on it. - Cleaned up and fixed a few things in the authlevel code, affecting mainly AxKit::App::TABOO::XSP::User. - Actually tested that authentication works OK. - Quite a lot of changes in the XSP and XSLT. - Fixed a few typos. 0.032 2004-03-19 11:15 - Fixed some bugs in the News Provider, which made it fail to encapsulate headings of comments in a "commentlist" element. - The News Prover exists method now does some real checking, but I also discovered it is inadequate, because if the record doesn't exist, there will be an error long before it gets here... That's a TODO. - Added an editorok method to AxKit::App::TABOO::Data::Story. - ...and used that to have the News Provider check if the story should be displayed. - Added a number of XSLT things. This has been my main pain the last few weeks. If you are in the position to ease my pain, please do, but it is not for the faint at heart... :-) - Added dependency on XML::LibXML 1.57 - A few notes on that my Data objects need more work when it comes to plurals. 0.04 2004-03-30 15:00 - I think this is worthy of being called a real ALPHA! - Added lots of XSLT, and redesigned a lot in the pipelines, a lot of it thanks to helpful remarks by Mike Nachbaur and Tod Harter, including * First part of the pipeline generates consistent markup for several pages. * Splitting up the stylesheets so that each individual file solves a specific task. * A small stylesheet that imports other stylesheets that do the hard work. * Finally, a stylesheet that inserts i18n strings from a separate XML file. This is however only implemented as proof of concept in this release, there are still many strings that will be replaced. - XSP page to really be able to submit a story - XSP page to edit user information - XSP page to submit a new user. * This needs AxKit::XSP::Sendmail and Crypt::GeneratePassword * And I lifted random-password from Joerg Walter's Auth taglib, I found that was better than using the taglib. - Started work on editing an allready submitted story, but this requires some new tags, and possibly redoing some more architectural things, so it is a TODO to be addressed shortly. - New tags: * AxKit::App::TABOO::XSP::User: + new-user + exists + random-password (Author: Joerg Walter) * AxKit::App::TABOO::XSP::Story: + I had forgotten to document this-story in the previous release. 0.05_1 2004-05-15 22:55 - There are quite a few big changes in this release, just brief outline here. - Adding "Plurals" Data subclasses. This is a rather big conceptual change, which makes it possible to work on an array of Data object. - Started working on a webshop for TABOO, and have added some code to support that, mainly data objects. Some SQL too. - Renamed apache_request_data to populate after realizing it is more generic than that... - AxKit::App::TABOO::Data::Category::all_of_type is obsoleted by the introduction of plurals. - Numerous fixups in the POD. 0.05_2 - Was actually never released. 0.05_3 2004-06-27 21:15 - This release should pretty much contain all I have to date. - Orders and OrderedItems data classes added for the webshop. - A Stories Plural class enables us to check out several stories. - A few minor changes to some method APIs. - And a few more excuses in the POD... 0.05 2004-07-01 23:45 - Set the internal data XMLELEMENT and XMLNS to undef for the Plural classes. - Removed the internal _addinfo method. - Moved some stuff from init to get_strref in the News Provider. - New Push method for plurals. - Minor changes in most files, but too small and too numerous to list them all.... 0.06 2004-07-10 23:18 - TABOO can now be used to edit posts that are allready in the datastore! Just supply an 'edit' query parameter to submit.xsp, as well as valid values of 'storyname' and 'sectionid'. + a part of this was a insert-values-edit.xsl transformations. It'll choose values from query parameters or data store. It is a bit unelegant, though. - submitterid is dealt with a bit more intelligently, and an editor may change it upon reviewing data. - Renamed this-user to get-user in the User Taglib. The this-prefix should be used for a tag working on parameter data, so I'll use get- for tags that get stuff from the data store. - New get-story tag in the Story taglib. - addcatinfo() now includes both name and username. 0.07 2004-07-15 15:18 - A new AxKit::App::TABOO::Provider::NewsList Provider, which is used to make lists of the stories. - Now depends on AxKit::XSP::BasicSession 0.18, as it fixed a bug that bit me. - Plurals will now die with an error message if you try to use methods that are only implemented for singular objects. - load methods have undergone some more changes: + Plurals have gained orderby and entries arguments. + Plurals will load OK also if you ask for all records (i.e. limit argument to load() is undef). + The load methods will return undef if no record was possible to retrieve with the arguments given. - Change the News Provider to use the method of Kip's book for exists. - XSP::Story will again set the timestamp to now unless given as a parameter. - New Grep method for Plurals. 0.071 2004-07-15 17:50 - Forgot to add the NewsList Provider to the MANIFEST.